Subject: Re: [RFC Patch net-next 0/5] net: introduce generic type and helpers for IP address

From: Daniel Borkmann <[email-masked]>
Date: Thu, 27 Jun 2013 10:33:08 +0200

On 06/27/2013 10:08 AM, Cong Wang wrote:
> On Thu, 2013-06-27 at 09:03 +0200, Daniel Borkmann wrote:
>> Hi Amerigo,
>>
>> On 06/27/2013 08:43 AM, Cong Wang wrote:
>>> As IPv6 becomes popular, more and more subsystems begin to support IPv6,
>>> therefore we need a generic IP address type, in case of duplicates.
>>> Also we will also need some helpers to compare, print, check the generic
>>> IP address.
>>>
>>> This patchset introduce a new type union inet_addr as a union of IPv4
>>> and IPv6 address, and some helper functions that will be used by existing
>>> code and in the future VXLAN module.
>>>
>>> This patchset only does compile test, since it is still RFC.
>>
>> This patch already does that which I've sent yesterday before yours ...
>>
>>     [PATCH net-next 1/2] lib: vsprintf: add IPv4/v6 generic %pig/%pIg format specifier
>>
>> ... and resend with the set today in the morning as v2 with provided
>> feedback applied. Can't you base yours on top of that?
>
> Since your patch is not yet merged, so why not just drop yours (of
> course, if no objection for mine)? :)
>
> IOW, even if your patch got merged, then I would probably partially
> revert it when I rebase mine on top of yours, which seems ugly, right?
>
> Again, I have no objection to your patch, just I don't want to partially
> revert it when I rebase on top of it.
>
> What do you think?

I'm sorry Amerigo, but I think this is totally uncalled for. I'm also not just
taking your patches, extend them for example and submit them by myself requesting
yours to be dropped instead. The likelihood that you came up with the same idea
independently at the /very same time/ I consider quite low. So therefore, you must
have done this after seeing this set. Please rebase them on top of this after we
have agreed upon the two patches, even if it reverts stuff, and then we can further
discuss your changes.

Thanks !